## org.biojava.bio.seq.io
Class ParseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.biojava.bio.BioException
                  org.biojava.bio.seq.io.ParseException

All Implemented Interfaces:
  Serializable

    public class ParseException

extends BioException

ParseException should be thrown to indicate that there was a problem with parsing sequence information.

Author:
  Matthew Pocock
See Also:
  Serialized Form

Constructor Summary
`ParseException()`
`ParseException(String message)`
`ParseException(Throwable nested)`
`ParseException(Throwable nested, String message)`

Method Summary
`static String` `newMessage(Class format, String accession, String identifier, String comments, String parseBlock)` Make a new error message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParseException

    public ParseException()

### ParseException

    public ParseException(String message)

### ParseException

    public ParseException(Throwable nested)

### ParseException

    public ParseException(Throwable nested,
                          String message)

Method Detail

### newMessage

    public static String newMessage(Class format,
                                    String accession,
                                    String identifier,
                                    String comments,
                                    String parseBlock)

  Make a new error message.

  Parameters:
    `format` - the format object that was doing the parsing
    `accession` - the accession number of the record that failed
    `identifier` - the identifier of the sequence that failed (eg the GI number for genbank)
    `comments` - any additional information
    `parseBlock` - the chunk of the file the parser was trying to parse when the error occured
  Returns:
    the formatted error message